Scilab Function

scilab - script principal d'exécution de Scilab et de divers outils

### Calling Sequence

  `scilab <Options>`
  `scilab -link <objects>`

### Description

  scilab <Options> : exécution de Scilab
  -ns : si cette option est présente le script de démarrage `SCI/scilab.star` n'est pas exécuté.
  -nw : si cette option est présente Scilab n'est pas exécuté dans une fenêtre spécifique mais sur la ligne de commande.
  -nb : si cette option est présente la bannière d'acceuil de Scilab n'est pas affichée.
  -l lang : Cette option permet de selectionner la langue de l'utilisateur. Les valeurs possible pour sont `-l fr` pour selectionner le francais et `-l eng` pour selectionner l'anglais. La langue par defaut est l'anglais, ce défaut est fixé dans le fichier `scilab.star` .
  -f file : si cette option est présente le script `file` est exécuté en premier dans Scilab.
  -e instruction : si cette option est présente l'instruction `instruction` est exécutée en premier dans Scilab.
  -args arguments : si cette option est présente des arguments sont passés à Scilab. Ils peuvent être récupérés par la fonction `sciargs` . Les arguments multiples doivent être passés dans chaîne de caractères les contenant, séparés par des espaces `scilab -args 'foo1 foo2'`

: est utilisé pour générer un `scilex` local (exécutable de Scilab) lié avec les fichiers additionnels donnés dans `<objects>` . Si, dans la liste des fichiers objets, certains noms sont connus dans `SCIDIR/routines/default` , les fichiers objets par utilisés par défaut par `scilex` sont omis et remplacés par les fichiers précisés. Cette commande produit aussi un script `xscilab` , qui lance l'exécution du nouveau `scilex` .

Par exemple :

    scilab -link  C/interf.o C/evol.o C/bib.a

crée un nouveau `scilex` dans le quel le fichier `interf.o` par défaut sera remplacé par `C/interf.o` .